<?xml version="1.0" encoding="UTF-8"?>

<!-- Copyright © 1993-2006 Araxis Ltd. All rights reserved. -->


<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:variable name="outputEncoding">UTF-8</xsl:variable>
    <xsl:include href="../NonLocalized/ReportStylesheets/MgReport.xslt"/>

    <!-- MgReport.xslt -->
    <xsl:variable name="gl_copyButton">コピー</xsl:variable>
    <xsl:variable name="gl_printButton">印刷...</xsl:variable>
    <xsl:variable name="gl_saveAsButton">名前を付けて保存</xsl:variable>
    <xsl:variable name="gl_cssTextFontFamily">MS PGothic, Verdana, Arial, Helvetica, sans-serif</xsl:variable>
    <xsl:variable name="gl_slideN"> （スライド </xsl:variable>
    <xsl:variable name="gl_slideNOf"> / </xsl:variable>
    <xsl:variable name="gl_slideNOfNSuffix">)</xsl:variable>
    <xsl:variable name="gl_reportPreamble">
        <p>このレポートは <strong>Araxis Merge</strong> によって <strong><xsl:value-of select="/mg:report/mg:metaData/mg:date"/></strong> に作成されました。Merge についての情報は <a href="http://www.agtech.co.jp/products/araxismerge/" title="Araxis Merge Web ページへのリンク">Araxis Merge 日本語ページ</a> をご覧ください。 このレポートは XHTML と CSS2 を使用しています。これらは最新バージョンの <a href="http://www.microsoft.com/windows/ie_intl/ja/" title="Microsoft website へのリンク">Internet Explorer</a> や <a href="http://www.mozilla.org/products/firefox/" title="Mozilla website の Firefox ページへのリンク">Firefox</a> などの標準ブラウザで適切に表示できます。このレポートを印刷するための最適条件は、バックグラウンド イメージとカラー印刷を可能にして、印刷の向きは横を使用します。</p>
    </xsl:variable>
    <xsl:variable name="gl_footer">Araxis Merge（生成されたこのレポートは除く）is Copyright&#160;&#169;&#160;1993-2006&#160;Araxis&#160;Ltd (<a href="http://www.araxis.com/" title="Araxis corporate Web サイトへのリンク">www.araxis.com</a>). All&#160;rights&#160;reserved.</xsl:variable>
    <xsl:variable name="gl_fileComparisonReportTitle">Araxis Merge ファイル比較レポート</xsl:variable>
    <xsl:variable name="gl_folderComparisonReportTitle">Araxis Merge フォルダ比較レポート</xsl:variable>
    <xsl:variable name="gl_fileSlideshowReportTitle">Araxis Merge スライドショー レポート</xsl:variable>
    <xsl:variable name="gl_errorFilesTooLargeToCreateReport">Files&#160;too&#160;big</xsl:variable>

    <!-- MgOptions.xslt -->
    <xsl:variable name="gl_activeRegularExpressions">有効な正規表現</xsl:variable>
    <xsl:variable name="gl_expression">正規表現</xsl:variable>
    <xsl:variable name="gl_description">説明</xsl:variable>
    <xsl:variable name="gl_noRegularExpressionsWereActive">有効な正規表現はありません。</xsl:variable>
    <xsl:variable name="gl_comparisonOptions">比較のオプション</xsl:variable>
    <xsl:variable name="gl_comparisonMethod">比較の方法</xsl:variable>
    <xsl:variable name="gl_depth">フォルダの深さ</xsl:variable>
    <xsl:variable name="gl_whitespace">余白</xsl:variable>
    <xsl:variable name="gl_characterCase">大文字/小文字</xsl:variable>
    <xsl:variable name="gl_lineEndings">行終端文字</xsl:variable>
    <xsl:variable name="gl_crLfCharacters">CR/LF 文字</xsl:variable>
    <xsl:variable name="gl_ignore">無視するファイル</xsl:variable>
    <xsl:variable name="gl_include">含めるファイル</xsl:variable>
    <xsl:variable name="gl_unchangedFiles">変更されていないファイル</xsl:variable>
    <xsl:variable name="gl_timestampsAndSizes">タイムスタンプとサイズ</xsl:variable>
    <xsl:variable name="gl_changeCounts">変更カウント数</xsl:variable>
    <xsl:variable name="gl_onlyFilesInTopLevelCompared">フォルダの最上位レベルのファイルのみ比較</xsl:variable>
    <xsl:variable name="gl_allFilesCompared">フォルダ階層のすべてのファイルを比較</xsl:variable>
    <xsl:variable name="gl_disabled">未使用</xsl:variable>
    <xsl:variable name="gl_filesMatchingThePattern">Items matching </xsl:variable>
    <xsl:variable name="gl_areIgnored"> are not included in the comparison</xsl:variable>
    <xsl:variable name="gl_areIncludedInTheComparison"> are included in the comparison</xsl:variable>
    <xsl:variable name="gl_notShownInTheComparisonDetail">比較の詳細に示されない</xsl:variable>
    <xsl:variable name="gl_shownInTheComparisonDetail">比較の詳細に示される</xsl:variable>
    <xsl:variable name="gl_fileTimestampsAndSizes">ファイルのタイムスタンプとサイズ (ファイルの中身ではない) をファイルが同一であるかの判断に使用</xsl:variable>
    <xsl:variable name="gl_comparisonRules">ファイルが同一であるかの判断にフォルダ比較の設定を使用する</xsl:variable>
    <xsl:variable name="gl_filesSmallerThan">サイズが </xsl:variable>
    <xsl:variable name="gl_byteByByte"> KB よりも小さいファイルは同一であるかの判断にフォルダ比較の設定を使用。このサイズよりも大きなファイルの場合は、実行速度が速いバイト単位の比較を行う</xsl:variable>
    <xsl:variable name="gl_differingSizesOrTimestamps">ファイルのサイズまたはタイムスタンプが異なるファイルの場合は、同一であるかの判断にフォルダ比較の設定を使用するサイズおよびタイムスタンプが同一のファイルは内容も同一であると判断する</xsl:variable>
    <xsl:variable name="gl_identicalSizesAndTimestamps">サイズおよびタイムスタンプが同一のファイルは内容も同一であると判断する。 サイズが </xsl:variable>
    <xsl:variable name="gl_forLargerFiles"> KB よりも小さいファイルは同一であるかの判断にフォルダ比較の設定を使用。このサイズよりも大きなファイルの場合は、バイト単位の比較を行う</xsl:variable>
    <xsl:variable name="gl_whitespaceSignificant">余白の相違を意味のあるものとして扱う</xsl:variable>
    <xsl:variable name="gl_whitespaceWithinLinesIgnored">余白の相違をすべて無視する</xsl:variable>
    <xsl:variable name="gl_whitespaceAtStartOfLinesIgnored">行の先頭部分にある余白の相違を無視する</xsl:variable>
    <xsl:variable name="gl_characterCaseSignificant">大文字と小文字の相違を意味のあるものとして扱う</xsl:variable>
    <xsl:variable name="gl_characterCaseIgnored">大文字と小文字の相違を無視する</xsl:variable>
    <xsl:variable name="gl_lineEndingsSignificant">行終端文字（<code>CR</code> と <code>LF</code> 文字）の相違を意味のあるものとして扱う</xsl:variable>
    <xsl:variable name="gl_lineEndingsIgnored">行終端文字（<code>CR</code> と <code>LF</code> 文字）の相違を無視する</xsl:variable>

    <!-- MgFileMetaData.xslt -->
    <xsl:variable name="gl_filesCompared">ファイルの比較</xsl:variable>
    <xsl:variable name="gl_file">ファイル</xsl:variable>
    <xsl:variable name="gl_lastModified">更新日時</xsl:variable>
    <xsl:variable name="gl_secondFileIsCommonAncestor"><strong>注意：</strong> Merge は２番目のファイルをほかのファイルの共通の親ファイルとみなします。</xsl:variable>
    <xsl:variable name="gl_comparisonSummary">比較の概要</xsl:variable>
    <xsl:variable name="gl_betweenFiles1And2">第１ファイルと第２ファイル</xsl:variable>
    <xsl:variable name="gl_betweenFiles2And3">第２ファイルと第３ファイル</xsl:variable>
    <xsl:variable name="gl_unchanged">変更なし</xsl:variable>
    <xsl:variable name="gl_anAutomaticMergeWouldLeave"><strong>注意：</strong> 自動マージは </xsl:variable>
    <xsl:variable name="gl_conflicts"> 個の不一致を残します。</xsl:variable>

    <!-- MgFileSlideshow.xslt -->
    <xsl:variable name="gl_previous">&lt;&lt;&#160;前</xsl:variable>
    <xsl:variable name="gl_next">次&#160;&gt;&gt;</xsl:variable>
    <xsl:variable name="gl_showNextSlide">次のスライドを表示</xsl:variable>
    <xsl:variable name="gl_showPreviousSlide">前のスライドを表示</xsl:variable>

    <!-- MgFolderRowData.xslt -->
    <xsl:variable name="gl_comparisonDetail">比較の詳細</xsl:variable>
    <xsl:variable name="gl_linkToDetailedFileComparison">詳細なファイル比較へのリンク</xsl:variable>
    <xsl:variable name="gl_reportLinkText">レポート&#160;</xsl:variable>

    <!-- MgFolderMetaData.xslt -->
    <xsl:variable name="gl_foldersCompared">フォルダの比較</xsl:variable>
    <xsl:variable name="gl_location">ロケーション</xsl:variable>
    <xsl:variable name="gl_folder">フォルダ</xsl:variable>
    <xsl:variable name="gl_numberIndicator">#</xsl:variable>
    <xsl:variable name="gl_secondFolderIsCommonAncestor"><strong>注意：</strong> Merge は２番目のフォルダをほかのフォルダの共通の親フォルダとみなします。</xsl:variable>
    <xsl:variable name="gl_notes">注意</xsl:variable>
    <xsl:variable name="gl_lineCountsNotShown">
        <p>オプションの <strong>フォルダ比較</strong> の <strong>変更行数を表示する</strong> が選択されていないため行数は表示されません。</p>
    </xsl:variable>
    <xsl:variable name="gl_detailedComparisonResultsTableNotAvailable">
        <p>オプションの <strong>フォルダ比較</strong> の <strong>ファイルのタイムスタンプとサイズをチェックする</strong> 選択されていないので比較結果テーブルの詳細を表示できません。</p>
    </xsl:variable>
    <xsl:variable name="gl_summaryForAllFiles">すべてのファイルの概要</xsl:variable>
    <xsl:variable name="gl_summaryForSelectedFiles">選択されたファイルの概要</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And2">第１フォルダと第２フォルダ</xsl:variable>
    <xsl:variable name="gl_betweenFolders2And3">第２フォルダと第３フォルダ</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And3">第１フォルダと第３フォルダ</xsl:variable>
    <xsl:variable name="gl_relativeToCommonAncestor">共通の親との比較</xsl:variable>
    <xsl:variable name="gl_lines">行</xsl:variable>
    <xsl:variable name="gl_textBlocks">テキスト ブロック</xsl:variable>
    <xsl:variable name="gl_changed">変更箇所</xsl:variable>
    <xsl:variable name="gl_inserted">挿入箇所</xsl:variable>
    <xsl:variable name="gl_removed">削除箇所</xsl:variable>
    <xsl:variable name="gl_noFilesWereSelected">選択されたファイルがありません。</xsl:variable>
    <xsl:variable name="gl_doubleAsterisk">**</xsl:variable>

    <xsl:template name="mg:gl_localizedType">
        <xsl:param name="type"/>

        <xsl:choose>
            <xsl:when test="$type='unchanged'">同一</xsl:when>
            <xsl:when test="$type='changed'">変更</xsl:when>
            <xsl:when test="$type='inserted'">挿入</xsl:when>
            <xsl:when test="$type='removed'">削除</xsl:when>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_x_lines_in_y_pairs_of_type_files">
        <xsl:param name="x"/>
        <xsl:param name="y"/>
        <xsl:param name="type"/>
        <xsl:param name="pairs"/>
        <xsl:variable name="localizedType">
            <xsl:call-template name="mg:gl_localizedType">
                <xsl:with-param name="type" select="$type"/>
            </xsl:call-template>
        </xsl:variable>

        <xsl:choose>
            <xsl:when test="$y = 0"><xsl:value-of select="$localizedType"/>ファイルはありません</xsl:when>
            <xsl:otherwise>
                <xsl:if test="$g_comparisonThoroughness='1'">

                    <xsl:choose>
                        <xsl:when test="$x = 1">行数 1<br/></xsl:when>
                        <xsl:when test="$x &gt; 1"><xsl:value-of select="$x"/> 行（全体）<br/></xsl:when>
                    </xsl:choose>
                </xsl:if>

                <xsl:choose>
                    <xsl:when test="$y = 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()">１組の<xsl:value-of select="$localizedType"/>ファイル</xsl:when>
                            <xsl:otherwise><xsl:value-of select="$localizedType"/> 1 ファイル</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$y &gt; 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()"><xsl:value-of select="$y"/>組の<xsl:value-of select="$localizedType"/>ファイル</xsl:when>
                            <xsl:otherwise>
                                <xsl:text> </xsl:text><xsl:value-of select="$localizedType"/>&#160;<xsl:value-of select="$y"/> ファイル</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                </xsl:choose>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


     <xsl:template name="mg:gl_y_type_files">
         <xsl:param name="y"/>
         <xsl:param name="type"/>

	<!-- output the type of file "changed", "removed", etc -->
         <xsl:call-template name="mg:gl_localizedType">
             <xsl:with-param name="type" select="$type"/>
         </xsl:call-template>

	<!-- and a space -->
         <xsl:text> </xsl:text>	

	<!-- output the number of files of the given type -->
	<xsl:value-of select="$y"/>

	<!-- and finish off with the word "files" or "file" (preceded by a space), as appropriate -->
         <xsl:choose>
             <xsl:when test="$y=0"> ファイル</xsl:when>
             <xsl:when test="$y=1"> ファイル</xsl:when>
             <xsl:otherwise> ファイル</xsl:otherwise>
         </xsl:choose>
     </xsl:template>

</xsl:stylesheet>
