<?xml version="1.0" encoding="UTF-8" ?>

<!-- Copyright © 1993-2006 Araxis Ltd. All rights reserved. -->

<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
  <xsl:variable name="outputEncoding">UTF-8</xsl:variable>
	<xsl:include href="../NonLocalized/ReportStylesheets/MgReport.xslt" />

	<!-- MgReport.xslt -->
	<xsl:variable name="gl_copyButton">Kopieren</xsl:variable>
	<xsl:variable name="gl_printButton">Drucken...</xsl:variable>
	<xsl:variable name="gl_saveAsButton">Speichern unter...</xsl:variable>
	<xsl:variable name="gl_cssTextFontFamily">Verdana, Arial, Helvetica, sans-serif</xsl:variable>
	<xsl:variable name="gl_slideN"> (Folie </xsl:variable>
	<xsl:variable name="gl_slideNOf"> von </xsl:variable>
	<xsl:variable name="gl_slideNOfNSuffix">)</xsl:variable>
	<xsl:variable name="gl_reportPreamble">
		<p>Produziert von <strong>Araxis Merge</strong> am <strong>
				<xsl:value-of select="/mg:report/mg:metaData/mg:date" />
			</strong>. Besuchen Sie <a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a> für weitere Informationen über Merge. Dieser Bericht benutzt XHTML und CSS2 und kann am besten mit einem den Standards entsprechenden Browser angesehen werden, zum Beispiel der neuesten Version von <a href="http://www.mozilla.org/products/firefox/" title="Link to the Firefox page on the Mozilla website">Firefox</a> oder <a href="http://www.microsoft.com/ie/" title="Link to the Microsoft website">Internet Explorer</a>. Aktivieren Sie in Ihrem Browser das Drucken von Hintergrundbildern und -farben und nutzen Sie Querformat, um beste Druckergebnisse zu erzielen.</p>
	</xsl:variable>
	<xsl:variable name="gl_footer">Araxis Merge (jedoch nicht dieser erstellte Bericht) ist Copyright © 1993-2006 Araxis Ltd (<a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a>). Alle Rechte vorbehalten.</xsl:variable>
    <xsl:variable name="gl_fileComparisonReportTitle">Araxis Merge Dateivergleich Bericht</xsl:variable>
    <xsl:variable name="gl_folderComparisonReportTitle">Araxis Merge Ordnervergleich Bericht</xsl:variable>
    <xsl:variable name="gl_fileSlideshowReportTitle">Araxis Merge Bericht Slideshow</xsl:variable>
    <xsl:variable name="gl_errorFilesTooLargeToCreateReport">Files&#160;too&#160;big</xsl:variable>
    
	<!-- MgOptions.xslt -->
	<xsl:variable name="gl_activeRegularExpressions">Aktive reguläre Ausdrücke</xsl:variable>
	<xsl:variable name="gl_expression">Ausdruck</xsl:variable>
	<xsl:variable name="gl_description">Beschreibung</xsl:variable>
	<xsl:variable name="gl_noRegularExpressionsWereActive">Es waren keine regulären Ausdrücke aktiv.</xsl:variable>
	<xsl:variable name="gl_comparisonOptions">Vergleichsoptionen</xsl:variable>
	<xsl:variable name="gl_comparisonMethod">Vergleichsmethode</xsl:variable>
	<xsl:variable name="gl_depth">Tiefe</xsl:variable>
	<xsl:variable name="gl_whitespace">Leerstellen</xsl:variable>
	<xsl:variable name="gl_characterCase">Groß-/Kleinschreibung</xsl:variable>
	<xsl:variable name="gl_lineEndings">Zeilenenden</xsl:variable>
	<xsl:variable name="gl_crLfCharacters">CR/LF Zeichen</xsl:variable>
	<xsl:variable name="gl_ignore">Ignorieren</xsl:variable>
	<xsl:variable name="gl_include">Berücksichtigen</xsl:variable>
	<xsl:variable name="gl_unchangedFiles">Ungeänderte Dateien</xsl:variable>
	<xsl:variable name="gl_timestampsAndSizes">Zeitstempel und Größen</xsl:variable>
	<xsl:variable name="gl_changeCounts">Anzahl Änderungen</xsl:variable>
	<xsl:variable name="gl_onlyFilesInTopLevelCompared">Nur Dateien auf oberster Ebene im Ordner werden verglichen</xsl:variable>
	<xsl:variable name="gl_allFilesCompared">Alle Dateien in der Ordnerstruktur werden verglichen</xsl:variable>
	<xsl:variable name="gl_disabled">Deaktiviert</xsl:variable>
    <xsl:variable name="gl_filesMatchingThePattern">Übereinstimmende Elemente </xsl:variable>
    <xsl:variable name="gl_areIgnored"> werden nicht in den Vergleich einbezogen</xsl:variable>
    <xsl:variable name="gl_areIncludedInTheComparison"> werden in den Vergleich einbezogen</xsl:variable>
	<xsl:variable name="gl_notShownInTheComparisonDetail">Nicht in den Vergleichsinformationen angezeigt</xsl:variable>
	<xsl:variable name="gl_shownInTheComparisonDetail">In den Vergleichsinformationen angezeigt</xsl:variable>
	<xsl:variable name="gl_fileTimestampsAndSizes">Anhand der Dateizeitstempel und -größen (und nicht der Inhalte) wird ermittelt, ob die Dateien identisch sind</xsl:variable>
	<xsl:variable name="gl_comparisonRules">Anhand der eingestellten Vergleichsregeln wird ermittelt, ob die Dateien identisch sind</xsl:variable>
	<xsl:variable name="gl_filesSmallerThan">Bei Dateien, die kleiner sind als </xsl:variable>
	<xsl:variable name="gl_byteByByte">KB, werden die eingestellten Vergleichsregeln verwendet, um zu ermitteln, ob die Dateien identisch sind. Bei größeren Dateien werden nur die Dateizeitstempel und -größen (und nicht der Inhalt) verglichen.</xsl:variable>
	<xsl:variable name="gl_differingSizesOrTimestamps">Dateien unterschiedlicher Größe oder mit unterschiedlichen Zeitstempeln werden anhand der eingestellten Vergleichsregeln verglichen, um festzustellen, ob sie identisch sind. Von Dateien, deren Größe und Zeitstempel identisch sind, wird angenommen, dass ihr Inhalt identisch ist.</xsl:variable>
	<xsl:variable name="gl_identicalSizesAndTimestamps">Von Dateien, deren Größe und Zeitstempel identisch sind, wird angenommen, dass ihr Inhalt identisch ist. Dateien, die kleiner als </xsl:variable>
	<xsl:variable name="gl_forLargerFiles"> KB sind, werden anhand der eingestellten Vergleichsregeln verglichen, um festzustellen, ob sie identisch sind. Bei größeren Dateien wird ein Byte-für-Byte-Vergleich durchgeführt
</xsl:variable>
	<xsl:variable name="gl_whitespaceSignificant">Unterschiede in Leerstellen sind wesentlich</xsl:variable>
	<xsl:variable name="gl_whitespaceWithinLinesIgnored">Alle Unterschiede in Leerstellen werden ignoriert</xsl:variable>
	<xsl:variable name="gl_whitespaceAtStartOfLinesIgnored">Unterschiede in Leerstellen am Zeilenanfang werden ignoriert</xsl:variable>
	<xsl:variable name="gl_characterCaseSignificant">Unterschiede in Groß-/Kleinschreibung sind wesentlich</xsl:variable>
	<xsl:variable name="gl_characterCaseIgnored">Unterschiede in Groß-/Kleinschreibung werden ignoriert</xsl:variable>
	<xsl:variable name="gl_lineEndingsSignificant">Unterschiede am Zeilenende (<code>CR</code> und <code>LF</code> Zeichen) sind wesentlich</xsl:variable>
	<xsl:variable name="gl_lineEndingsIgnored">Unterschiede am Zeilenende (<code>CR</code> und <code>LF</code> Zeichen) werden ignoriert</xsl:variable> <!-- MgFileMetaData.xslt -->
	<xsl:variable name="gl_filesCompared">Verglichene Dateien</xsl:variable>
	<xsl:variable name="gl_file">Datei</xsl:variable>
	<xsl:variable name="gl_lastModified">Zuletzt geändert</xsl:variable>
	<xsl:variable name="gl_secondFileIsCommonAncestor"><strong>Bemerkung:</strong> Merge betrachtet die zweite Datei als den gemeinsamen Vorgänger der anderen.</xsl:variable>
	<xsl:variable name="gl_comparisonSummary">Zusammenfassung Vergleich</xsl:variable>
	<xsl:variable name="gl_betweenFiles1And2">Zwischen<br />Datei 1 und 2</xsl:variable>
	<xsl:variable name="gl_betweenFiles2And3">Zwischen<br />Datei 2 und 3</xsl:variable>
	<xsl:variable name="gl_unchanged">Ungeändert</xsl:variable>
	<xsl:variable name="gl_anAutomaticMergeWouldLeave"><strong>Hinweis:</strong>Eine automatische Zusammenführung würde </xsl:variable>
	<xsl:variable name="gl_conflicts"> Konflikt(e) ergeben.</xsl:variable>
	<!-- MgFileSlideshow.xslt -->
	<xsl:variable name="gl_previous">&lt;&lt; Vorherige</xsl:variable>
	<xsl:variable name="gl_next">Nächste &gt;&gt;</xsl:variable>
	<xsl:variable name="gl_showNextSlide">Nächste Folie anzeigen</xsl:variable>
	<xsl:variable name="gl_showPreviousSlide">Vorherige Folie anzeigen</xsl:variable>
	<!-- MgFolderRowData.xslt -->
	<xsl:variable name="gl_comparisonDetail">Vergleichsinformationen</xsl:variable>
	<xsl:variable name="gl_linkToDetailedFileComparison">Link zum detallierten Dateivergleich</xsl:variable>
	<xsl:variable name="gl_reportLinkText">Bericht </xsl:variable> <!-- MgFolderMetaData.xslt -->
	<xsl:variable name="gl_foldersCompared">Verglichene Ordner</xsl:variable>
	<xsl:variable name="gl_location">Speicherpfad</xsl:variable>
	<xsl:variable name="gl_folder">Ordner</xsl:variable>
	<xsl:variable name="gl_numberIndicator">#</xsl:variable>
	<xsl:variable name="gl_secondFolderIsCommonAncestor"><strong>Bemerkung:</strong> Merge betrachtet den zweiten Ordner als den gemeinsamen Vorgänger der anderen.</xsl:variable>
	<xsl:variable name="gl_notes">Anmerkungen</xsl:variable>
	<xsl:variable name="gl_lineCountsNotShown">
		<p>Die Zeilenanzahl wird nicht angezeigt, da auf der Optionsseite <strong>Ordnervergleich</strong> die Einstellung <strong>Dateiinhalt immer überprüfen</strong> nicht aktiviert wurde.</p>
	</xsl:variable>
	<xsl:variable name="gl_detailedComparisonResultsTableNotAvailable">
		<p>Die Tabelle mit den detaillierten Vergleichsergebnissen steht nicht zur Verfügung, da auf der Optionsseite <strong>Ordnervergleich</strong> die Option <strong>Dateizeitstempel und -größen prüfen</strong> aktiviert wurde.</p>
	</xsl:variable>
	<xsl:variable name="gl_summaryForAllFiles">Zusammenfassung für alle Dateien</xsl:variable>
	<xsl:variable name="gl_summaryForSelectedFiles">Zusammenfassung für die gewählten Dateien</xsl:variable>
	<xsl:variable name="gl_betweenFolders1And2">Zwischen Ordner 1 und 2</xsl:variable>
	<xsl:variable name="gl_betweenFolders2And3">Zwischen Ordner 2 und 3</xsl:variable>
	<xsl:variable name="gl_betweenFolders1And3">Zwischen Ordner 1 und 3</xsl:variable>
	<xsl:variable name="gl_relativeToCommonAncestor">Im Vergleich zur <br />gemeinsamen Vorgängerdatei</xsl:variable>
	<xsl:variable name="gl_lines">Zeilen</xsl:variable>
	<xsl:variable name="gl_textBlocks">Textblöcke</xsl:variable>
	<xsl:variable name="gl_changed">Geändert</xsl:variable>
	<xsl:variable name="gl_inserted">Eingefügt</xsl:variable>
	<xsl:variable name="gl_removed">Entfernt</xsl:variable>
	<xsl:variable name="gl_noFilesWereSelected">Keine Dateien ausgewählt.</xsl:variable>
	<xsl:variable name="gl_doubleAsterisk">**</xsl:variable>
	<xsl:template name="mg:gl_localizedType">
		<xsl:param name="type" />
		<xsl:choose>
			<xsl:when test="$type='unchanged'">Ungeändert</xsl:when>
			<xsl:when test="$type='changed'">Geändert</xsl:when>
			<xsl:when test="$type='inserted'">Eingefügt</xsl:when>
			<xsl:when test="$type='removed'">Entfernt</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="mg:gl_x_lines_in_y_pairs_of_type_files">
		<xsl:param name="x" />
		<xsl:param name="y" />
		<xsl:param name="type" />
		<xsl:param name="pairs" />
		<xsl:variable name="localizedType">
			<xsl:call-template name="mg:gl_localizedType">
				<xsl:with-param name="type" select="$type" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$y = 0">Keine <xsl:value-of select="$localizedType" /> Dateien</xsl:when>
			<xsl:otherwise>
				<xsl:if test="$g_comparisonThoroughness='1'">
					<xsl:choose>
						<xsl:when test="$x = 1">1 Zeile in<br /></xsl:when>
						<xsl:when test="$x &gt; 1"><xsl:value-of select="$x" /> Zeilen in<br /></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$y = 1">
						<xsl:choose>
							<xsl:when test="$pairs = true()">1 Dateipaar von <xsl:value-of select="$localizedType" /> Dateien</xsl:when>
							<xsl:otherwise>1 <xsl:value-of select="$localizedType" /> Datei</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:when test="$y &gt; 1">
						<xsl:choose>
							<xsl:when test="$pairs = true()"><xsl:value-of select="$y" /> Dateipaare von <xsl:value-of select="$localizedType" /> Dateien</xsl:when>
							<xsl:otherwise><xsl:value-of select="$y" /> <xsl:text> </xsl:text><xsl:value-of select="$localizedType" /> Dateien</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="mg:gl_y_type_files">
		<xsl:param name="y" />
		<xsl:param name="type" />
		<xsl:value-of select="$y" />
		<xsl:text> </xsl:text>
		<xsl:call-template name="mg:gl_localizedType">
			<xsl:with-param name="type" select="$type" />
		</xsl:call-template>
		<xsl:text> </xsl:text>
		<xsl:choose>
			<xsl:when test="$y=0"> Dateien</xsl:when>
			<xsl:when test="$y=1"> Datei</xsl:when>
			<xsl:otherwise> Dateien</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
