<?xml version="1.0" encoding="UTF-8"?>

<!-- Copyright © 1993-2006 Araxis Ltd. All rights reserved. -->

<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:variable name="outputEncoding">UTF-8</xsl:variable>
    <xsl:include href="../NonLocalized/ReportStylesheets/MgReport.xslt"/>

    <!-- MgReport.xslt -->
    <xsl:variable name="gl_copyButton">Copiar</xsl:variable>    
    <xsl:variable name="gl_printButton">Imprimir...</xsl:variable>
    <xsl:variable name="gl_saveAsButton">Guardar como...</xsl:variable>
    <xsl:variable name="gl_cssTextFontFamily">Verdana, Arial, Helvetica, Sans-Serif</xsl:variable>
    <xsl:variable name="gl_slideN"> (Lámina </xsl:variable>
    <xsl:variable name="gl_slideNOf"> de  </xsl:variable>
    <xsl:variable name="gl_slideNOfNSuffix">)</xsl:variable>
    <xsl:variable name="gl_reportPreamble">
        <p>Generado por <strong>Araxis Merge</strong> el <strong><xsl:value-of select="/mg:report/mg:metaData/mg:date"/></strong>. Visite <a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a> para obtener información acerca de Merge. Este informe utiliza XHTML y CSS2; su visualización óptima se logra con un explorador con un mínimo de compatibilidad con estos estándares como, por ejemplo, la última versión de <a href="http://www.mozilla.org/products/firefox/" title="Link to the Firefox page on the Mozilla website">Firefox</a> o <a href="http://www.mozilla.org/products/firefox/" title="Link to the Firefox page on the Mozilla website">Internet Explorer</a>. Para obtener resultados óptimos al imprimir este informe, active en su explorador la impresión de imágenes y colores de fondo y utilice la orientación de papel horizontal.</p>
    </xsl:variable>
    <xsl:variable name="gl_footer">Los derechos de autor de Araxis Merge (pero no este informe) son propiedad de Copyright © 1993-2006 Araxis Ltd (<a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a>). Reservados todos los derechos.</xsl:variable>
    <xsl:variable name="gl_fileComparisonReportTitle">Informe de comparación de archivos de Araxis Merge</xsl:variable>
    <xsl:variable name="gl_folderComparisonReportTitle">Informe de comparación de carpetas de Araxis Merge</xsl:variable>
    <xsl:variable name="gl_fileSlideshowReportTitle">Informe en formato de presentación de Araxis Merge</xsl:variable>
    <xsl:variable name="gl_errorFilesTooLargeToCreateReport">Files&#160;too&#160;big</xsl:variable>

    <!-- MgOptions.xslt -->
    <xsl:variable name="gl_activeRegularExpressions">Expresiones regulares activas</xsl:variable>
    <xsl:variable name="gl_expression">Expresión</xsl:variable>
    <xsl:variable name="gl_description">Descripción</xsl:variable>
    <xsl:variable name="gl_noRegularExpressionsWereActive">No hay expresiones regulares activas.</xsl:variable>
    <xsl:variable name="gl_comparisonOptions">Opciones de comparación</xsl:variable>
    <xsl:variable name="gl_comparisonMethod">Método de comparación</xsl:variable>
    <xsl:variable name="gl_depth">Profundidad</xsl:variable>
    <xsl:variable name="gl_whitespace">Espacio en blanco</xsl:variable>
    <xsl:variable name="gl_characterCase">Mayúsculas/Minúsculas</xsl:variable>
    <xsl:variable name="gl_lineEndings">Finales de línea</xsl:variable>
    <xsl:variable name="gl_crLfCharacters">Caracteres CR/LF</xsl:variable>
    <xsl:variable name="gl_ignore">Ignorar</xsl:variable>
    <xsl:variable name="gl_include">Incluir</xsl:variable>
    <xsl:variable name="gl_unchangedFiles">Archivos sin cambios</xsl:variable>
    <xsl:variable name="gl_timestampsAndSizes">Marcas de hora y tamaños</xsl:variable>
    <xsl:variable name="gl_changeCounts">Recuento de cambios</xsl:variable>
    <xsl:variable name="gl_onlyFilesInTopLevelCompared">Sólo se comparan los archivos en el nivel superior de las carpetas</xsl:variable>
    <xsl:variable name="gl_allFilesCompared">Se comparan todos los archivos en la jerarquía de carpeta</xsl:variable>
    <xsl:variable name="gl_disabled">Desactivado</xsl:variable>
    <xsl:variable name="gl_filesMatchingThePattern">Los elementos concordantes </xsl:variable>
    <xsl:variable name="gl_areIgnored"> están incluidos en la comparación</xsl:variable>
    <xsl:variable name="gl_areIncludedInTheComparison"> están incluidos en la comparación</xsl:variable>
    <xsl:variable name="gl_notShownInTheComparisonDetail">No se muestra en el detalle de la comparación</xsl:variable>
    <xsl:variable name="gl_shownInTheComparisonDetail">Se muestra en el detalle de la comparación</xsl:variable>
    <xsl:variable name="gl_fileTimestampsAndSizes">Se utilizan las marcas de hora y el tamaño de los archivos (no el contenido de los archivos) para determinar si los archivos son idénticos</xsl:variable>
    <xsl:variable name="gl_comparisonRules">Los archivos se comparan utilizando las reglas de comparación configuradas para determinar si son idénticos</xsl:variable>
    <xsl:variable name="gl_filesSmallerThan">Los archivos cuyo tamaño es inferior a </xsl:variable>
    <xsl:variable name="gl_byteByByte"> KB se comparan usando las reglas de comparación configuradas para determinar si son idénticos. Para los archivos de mayor tamaño se realiza una comparación byte-por-bye más rápida</xsl:variable>
    <xsl:variable name="gl_differingSizesOrTimestamps">Los archivos con tamaños y marcas de hora diferentes se comparan utilizando las reglas de comparación configuradas para determinar si son idénticos. Se asume que los archivos cuyos tamaños y marcas de hora sean idénticos tienen el mismo contenido</xsl:variable>
    <xsl:variable name="gl_identicalSizesAndTimestamps">Se asume que los archivos cuyos tamaños y marcas de hora sean idénticos tienen el mismo contenido. Los archivos cuyo tamaño sea inferior a </xsl:variable>
    <xsl:variable name="gl_forLargerFiles"> KB se comparan usando las reglas de comparación configuradas para determinar si son idénticos. Para los archivos de mayor tamaño se realiza una comparación byte-por-bye</xsl:variable>
    <xsl:variable name="gl_whitespaceSignificant">Las diferencias de espacios en blanco son relevantes</xsl:variable>
    <xsl:variable name="gl_whitespaceWithinLinesIgnored">Se ignoran todas las diferencias de espacios en blanco en las líneas</xsl:variable>
    <xsl:variable name="gl_whitespaceAtStartOfLinesIgnored">Se ignoran las diferencias de espacio en blanco al inicio de las líneas</xsl:variable>
    <xsl:variable name="gl_characterCaseSignificant">Las diferencias de mayúsculas/minúsculas son relevantes</xsl:variable>
    <xsl:variable name="gl_characterCaseIgnored">Se ignoran las diferencias de mayúsculas/minúsculas</xsl:variable>
    <xsl:variable name="gl_lineEndingsSignificant">Las diferencias en los finales de línea (caracteres <code>CR</code> y <code>LF</code>) son relevantes</xsl:variable>
    <xsl:variable name="gl_lineEndingsIgnored">Se ignoran las diferencias en los finales de línea (caracteres <code>CR</code> y <code>LF</code>)</xsl:variable>

    <!-- MgFileMetaData.xslt -->
    <xsl:variable name="gl_filesCompared">Archivos comparados</xsl:variable>
    <xsl:variable name="gl_file">Archivo</xsl:variable>
    <xsl:variable name="gl_lastModified">Última modificación</xsl:variable>
    <xsl:variable name="gl_secondFileIsCommonAncestor"><strong>Nota:</strong> Merge considera el segundo archivo como el antecesor común de los otros.</xsl:variable>
    <xsl:variable name="gl_comparisonSummary">Resumen de la comparación</xsl:variable>
    <xsl:variable name="gl_betweenFiles1And2">Entre<br/>archivos 1 y 2</xsl:variable>
    <xsl:variable name="gl_betweenFiles2And3">Entre<br/>archivos 2 y 3</xsl:variable>
    <xsl:variable name="gl_unchanged">Sin cambios</xsl:variable>
    <xsl:variable name="gl_anAutomaticMergeWouldLeave"><strong>Nota:</strong> Una combinación automática produciría </xsl:variable>
    <xsl:variable name="gl_conflicts"> conflicto(s).</xsl:variable>

    <!-- MgFileSlideshow.xslt -->
    <xsl:variable name="gl_previous">&lt;&lt; Anterior</xsl:variable>
    <xsl:variable name="gl_next">Siguiente&gt;&gt;</xsl:variable>
    <xsl:variable name="gl_showNextSlide">Mostrar la siguiente lámina</xsl:variable>
    <xsl:variable name="gl_showPreviousSlide">Mostrar la lámina anterior</xsl:variable>

    <!-- MgFolderRowData.xslt -->
    <xsl:variable name="gl_comparisonDetail">Detalle de comparación</xsl:variable>
    <xsl:variable name="gl_linkToDetailedFileComparison">Vínculo a la comparación de archivos detallada</xsl:variable>
    <xsl:variable name="gl_reportLinkText">Informe</xsl:variable>

    <!-- MgFolderMetaData.xslt -->
    <xsl:variable name="gl_foldersCompared">Carpetas comparadas</xsl:variable>
    <xsl:variable name="gl_location">Ubicación</xsl:variable>
    <xsl:variable name="gl_folder">Carpeta</xsl:variable>
    <xsl:variable name="gl_numberIndicator">#</xsl:variable>
    <xsl:variable name="gl_secondFolderIsCommonAncestor"><strong>Nota:</strong> Merge considera la segunda carpeta como la antecesora común de las otras.</xsl:variable>
    <xsl:variable name="gl_notes">Notas</xsl:variable>
    <xsl:variable name="gl_lineCountsNotShown">
        <p>No se muestra el recuento de líneas porque la opción <strong>Comprobar siempre el contenido de los archivos</strong> en la página de opciones <strong>Comparación de carpetas</strong> no está selecionada.</p>
    </xsl:variable>
    <xsl:variable name="gl_detailedComparisonResultsTableNotAvailable">
        <p>La tabla de resultados de la comparación detallada no está disponible porque la opción <strong>Comprobar marcas de hora y tamaños</strong> está seleccionada en la página de opciones <strong>Comparación de carpetas</strong>.</p>
    </xsl:variable>
    <xsl:variable name="gl_summaryForAllFiles">Resumen de todos los archivos</xsl:variable>
    <xsl:variable name="gl_summaryForSelectedFiles">Resumen de los archivos seleccionados</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And2">Entre carpetas 1 y 2</xsl:variable>
    <xsl:variable name="gl_betweenFolders2And3">Entre carpetas 2 y 3</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And3">Entre carpetas 1 y 3</xsl:variable>
    <xsl:variable name="gl_relativeToCommonAncestor">Relacionado con el<br/>antecesor común</xsl:variable>
    <xsl:variable name="gl_lines">Líneas</xsl:variable>
    <xsl:variable name="gl_textBlocks">Bloques de texto</xsl:variable>
    <xsl:variable name="gl_changed">Modificado</xsl:variable>
    <xsl:variable name="gl_inserted">Insertado</xsl:variable>
    <xsl:variable name="gl_removed">Quitado</xsl:variable>
    <xsl:variable name="gl_noFilesWereSelected">No se han seleccionado archivos.</xsl:variable>
    <xsl:variable name="gl_doubleAsterisk">**</xsl:variable>

    <xsl:template name="mg:gl_localizedType">
        <xsl:param name="type"/>

        <xsl:choose>
            <xsl:when test="$type='unchanged'">sin cambios</xsl:when>
            <xsl:when test="$type='changed'">modificado</xsl:when>
            <xsl:when test="$type='inserted'">insertado</xsl:when>
            <xsl:when test="$type='removed'">eliminado</xsl:when>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_x_lines_in_y_pairs_of_type_files">
        <xsl:param name="x"/>
        <xsl:param name="y"/>
        <xsl:param name="type"/>
        <xsl:param name="pairs"/>
        <xsl:variable name="localizedType">
            <xsl:call-template name="mg:gl_localizedType">
                <xsl:with-param name="type" select="$type"/>
            </xsl:call-template>
        </xsl:variable>

        <xsl:choose>
            <xsl:when test="$y = 0">Ningún <xsl:value-of select="$localizedType"/>archivo</xsl:when>
            <xsl:otherwise>
                <xsl:if test="$g_comparisonThoroughness='1'">

                    <xsl:choose>
                        <xsl:when test="$x = 1">1 línea en<br/></xsl:when>
                        <xsl:when test="$x &gt; 1"><xsl:value-of select="$x"/> líneas en<br/></xsl:when>
                    </xsl:choose>
                </xsl:if>

                <xsl:choose>
                    <xsl:when test="$y = 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()">1 par de <xsl:value-of select="$localizedType"/> archivos</xsl:when>
                            <xsl:otherwise>1 <xsl:value-of select="$localizedType"/> archivo</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$y &gt; 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()"><xsl:value-of select="$y"/> pares de <xsl:value-of select="$localizedType"/> archivos</xsl:when>
                            <xsl:otherwise><xsl:value-of select="$y"/>
                                <xsl:text> </xsl:text><xsl:value-of select="$localizedType"/> archivos</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                </xsl:choose>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_y_type_files">
        <xsl:param name="y"/>
        <xsl:param name="type"/><xsl:value-of select="$y"/>
        <xsl:text> </xsl:text>
        <xsl:call-template name="mg:gl_localizedType">
            <xsl:with-param name="type" select="$type"/>
        </xsl:call-template>
        <xsl:text> </xsl:text>

        <xsl:choose>
            <xsl:when test="$y=0"> archivos</xsl:when>
            <xsl:when test="$y=1"> archivo</xsl:when>
            <xsl:otherwise> archivos</xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
