<?xml version="1.0" encoding="UTF-8"?>

<!-- 
	This file is part of Araxis Merge.
	Copyright © 1993-2004 Araxis Ltd. All rights reserved.
-->


<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

    <xsl:template match="mg:slide" mode="img">
        <div style="border: 1px solid {$gs_bgBorder}; padding: 2px; width={@imgWidth}; height={@imgHeight};">
            <img src="{@imgUrl}" style="width: {@imgWidth}; height: {@imgHeight};"/>
        </div>
    </xsl:template>


    <xsl:template match="mg:slide" mode="navigation">

        <xsl:choose>
            <xsl:when test="@number &gt; 1"><a href="{@previousSlideUrl}" title="{$gl_showPreviousSlide}"><strong><xsl:value-of select="$gl_previous"/></strong></a>
            </xsl:when>
            <xsl:otherwise><span class="disabledNavigation"><xsl:value-of select="$gl_previous"/></span>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:text>&#160;</xsl:text>

        <xsl:choose>
            <xsl:when test="@number &lt; @count"><a href="{@nextSlideUrl}" title="{$gl_showNextSlide}"><strong><xsl:value-of select="$gl_next"/></strong></a>
            </xsl:when>
            <xsl:otherwise><span class="disabledNavigation"><xsl:value-of select="$gl_next"/></span>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>